<?php
namespace Ep\Wp\Core;

use wpdb;
use Zend\Db\Adapter\AdapterInterface;
use Zend\Db\Adapter\Driver\Pdo\Pdo;

/**
 * Zamijena za WordPressovu db klasu.
 *
 * @package Ep\Wp\Core
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/wordpress
 */
class Db extends wpdb
{
    public function __construct(AdapterInterface $adapter)
    {
        /** @var Pdo $driver */
        $driver = $adapter->getDriver();
        $params = $driver->getConnection()->getConnectionParameters();

        define('DB_NAME', $params['database']);
        define('DB_USER', $params['username']);
        define('DB_PASSWORD', $params['password']);
        define('DB_HOST', $params['hostname']);
        define('DB_CHARSET', 'utf8mb4');
        define('DB_COLLATE', 'utf8mb4_general_ci');

        parent::__construct($params['username'], $params['password'], $params['database'], $params['hostname']);
    }

    /**
     * Postavlja charset i kolaciju za konekciju.
     */
    public function init_charset()
    {
        $this->charset = 'utf8mb4';
        $this->collate = 'utf8mb4_general_ci';
    }
}