<?php
namespace Ep\Wp\Plugin\Core;

use Ep\Wp\Plugin\PluginInterface;
use Psr\Container\ContainerInterface;
use Zend\ServiceManager\ServiceManager;

/**
 * Class Options
 *
 * @package Ep\Wp\Plugin\Core
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/wordpress
 */
class Options implements PluginInterface
{
    /** @var ContainerInterface|ServiceManager */
    protected $container;

    /**
     * Options constructor.
     *
     * @param ContainerInterface $container
     */
    public function __construct(ContainerInterface $container)
    {
        $this->container = $container;
    }

    /**
     * Dodaje akcije i filtere u WordPress.
     *
     * @return void
     */
    public function __invoke(): void
    {
        $config = $this->container->get('config');

        if (class_exists('\Ep\TecDoc\ConfigProvider')) {
            $tecdoc = (new \Ep\TecDoc\ConfigProvider())->getTecDocSettings();
            $config['tecdoc'] = $tecdoc;
        }

        $this->container->setService('config', $config);
    }

    public function plugins_loaded()
    {
        $config = $this->container->get('config');

        if (class_exists('\Ep\TecDoc\ConfigProvider')) {
            $tecdoc = (new \Ep\TecDoc\ConfigProvider())->getTecDocSettings();
            $config['tecdoc'] = $tecdoc;
        }

        $this->container->setService('config', $config);
    }
}